#! /usr/local/bin/perl
# ezFileList.pl
# Function:	Generate list of files under a folder
#	Usage:	perl ezFileList.pl ezFileList.xml
#

	$file_list = "";
	if( @ARGV != 1 ){
		die "XML̃t@Cw肵ĉ \n";
	} else {
		$file_list = $ARGV[0];
	}
	
	&open_file_list();
	&make_file_list();
	&close_file_list();
	

sub make_file_list(){
	opendir(DIR, ".")||die "tH_J܂ :$!\n";;
	@list = readdir (DIR);
	closedir(DIR);
	&get_file_list();
}

sub get_file_list(){
	foreach $file (@list) {
		if (-f $file) {
			print FH_XML "<file>";
			print FH_XML "$file";
			print FH_XML "</file>\n";
		}
	}
}

sub open_file_list(){
	open (FH_XML, "> $file_list")||die "t@CJ܂ :$file_list/$!\n";
	$heading =<<'END';
<?xml version="1.0" encoding="Shift_JIS" ?>
<list>

END
	print FH_XML "$heading";
}

sub close_file_list(){
	print FH_XML "\n</list>\n";
}
